UPDATE-MODULES(8)

NAME
update-modules - (re)generate /etc/modules.conf

SYNOPSIS
update-modules [force]

DESCRIPTION
update-modules is a simple tool to manage /etc/modules.conf. The Linux module utilities use one configuration file for all their configuration. This makes it hard for packages to dynamically add information about their own modules. To fix this update-modules has been introduced.

update-modules attempts to fix this by generating the configuration file from seperate files which are located in /etc/modutils. All files in that directory are assembled together to form /etc/modules.conf. There is also a special subdirectory (/etc/modutils/arch) which contains information for special architectures. update-modules determines the architecture and selects which file it must use.

After generation a backup of the old file is put in /etc/modules.conf.old.

FILES
There are two types of file you can put in /etc/modutils: normal files and exectuable files. Normal files contain standard modules configuration information, as described in modules.conf(5). Executable files are executed and their output is used as extra configuration information. Error messages sent to stderr are not redirected.

update-modules will ignore files that match the following regular expression:
    *\(\.dpkg-[a-z]*\|~\)$
(ie files with the extension .dpkg-new, .dpkg-orig, .dpkg-dist, .dpkg-old, or whose filename end with a ~).

OPTIONS

force
    update-modules check if the current /etc/modules.conf is a generated file by checking for a special tag on the first line. If this tag is not found generation is aborted. By supplying force as parameter only a warning is printed.

SEE ALSO
depmod(1) modules.conf(5) modprobe(8),

BUGS
None of course! :)

AUTHOR
This manual page was written by Wichert Akkerman <wakkerma@debian.org> for the Debian GNU/Linux system.